<?xml version="1.0" encoding="UTF-8"?>
<!--
    Part of Pain Exports.
    See LICENSE file for full copyright and licensing details.
-->
<odoo>
    <record id="account_invoice_supplier_form_view_inherit_bss_pain_export" model="ir.ui.view">
        <field name="name">account.invoice.supplier.form.bluestar.sale</field>
        <field name="model">account.invoice</field>
        <field name="inherit_id" ref="account.invoice_supplier_form"/>
        <field name="arch" type="xml">
            <sheet position="before">
                <div class="alert alert-warning" role="alert" style="margin: 0;"
                    attrs="{'invisible': [('pain_valid', '=', True)]}">
                    A valid bank account cannot be determined automatically.
                    This invoice cannot be selected for Pain Export.
                    Please select a valid bank account or fill the ESR fields
                    to enable it.
                </div>
            </sheet>
            <xpath expr="//field[@name='reference']" position="after">
                <field name="supplier_esr_ref" string="ESR Reference"/>
                <field name="supplier_esr_adherent_number"
                    string="ESR Adherent Number" placeholder="XX-XXXXXX-X"
                    attrs="{'required': [('supplier_esr_ref', '!=', False)]}"/>
                <field name="pain_valid" invisible="1"/>
                <field name="pain_partner_bank_id" invisible="1"/>
            </xpath>
            <xpath expr="//field[@name='partner_bank_id']" position="replace">
                <field name="partner_bank_id"
                    domain="['|', ('partner_id', '=', partner_id), '|', ('partner_id.parent_id', '=', partner_id), ('partner_id.childs_ids', 'in', [partner_id])]"/>
            </xpath>
        </field>
    </record>
</odoo>
